
from django.shortcuts import redirect as _redirect
from pathlib import Path
base = None
def get_url(url):
    global base
    if base is None:
        from django.conf import settings
        base = settings.BASE_URL
        if base and base[0] != "/": base = "/"+base

    if base and url[0] == "/": url = url[1:]
    return str(Path(base, url))[1:]

def redirect(to, *args, permanent=False, **kwargs):
    to = "/"+get_url(to)
    return _redirect(to, *args, permanent=permanent, **kwargs)
